Subject: bug#60210: 30.0.50; tab-bar height not recalculated when face changes

From: Gregory Heytings <[email-masked]>
Date: Mon, 02 Jan 2023 15:28:33 +0000

>
> Thanks, I hope I fixed this now on emacs-29, please re-test.
>

Thanks, it works now!  My guess that is was a rounding problem was right. 
But I'm curious: in *_change_tab_bar_height we set f->tab_bar_lines, and 
in redisplay_tab_bar we check w->total_lines.  Where is the former used to 
set the latter?